public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/antlr3] epel10: add script
@ 2026-07-22 19:36 Colin Walters
0 siblings, 0 replies; only message in thread
From: Colin Walters @ 2026-07-22 19:36 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/antlr3
Branch : epel10
Commit : 6d7e8eb1e80bb9c8a182701b13623d0b40b4abf0
Author : Colin Walters <walters@fedoraproject.org>
Date : 2008-11-10T14:43:16+00:00
Stats : +25/-0 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/antlr3/c/6d7e8eb1e80bb9c8a182701b13623d0b40b4abf0?branch=epel10
Log:
add script
---
diff --git a/antlr3 b/antlr3
new file mode 100644
index 0000000..4c2e5f1
--- /dev/null
+++ b/antlr3
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# antlr3 script, modified from antlr script from:
+# JPackage Project <http://www.jpackage.org/>
+
+# Source functions library
+if [ -f /usr/share/java-utils/java-functions ] ; then
+ . /usr/share/java-utils/java-functions
+else
+ echo "Can't find functions library, aborting"
+ exit 1
+fi
+
+# Configuration
+MAIN_CLASS="org.antlr.Tool"
+BASE_FLAGS=""
+BASE_JARS="antlr.jar stringtemplate.jar antlr3.jar"
+
+# Set parameters
+set_jvm
+set_classpath $BASE_JARS
+set_flags $BASE_FLAGS
+
+# Let's start
+run "$@"
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-07-22 19:36 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-07-22 19:36 [rpms/antlr3] epel10: add script Colin Walters
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox